+ Antworten
Seite 1 von 2 1 2 LetzteLetzte
Ergebnis 1 bis 10 von 15

Thema: Database Error: Unable to connect to the database:The MySQL adapter "mysql" is not av

  1. #1
    War schon öfter hier
    Registriert seit
    25.12.2007
    Beiträge
    153
    Bedankte sich
    89
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Beitrag Database Error: Unable to connect to the database:The MySQL adapter "mysql" is not av

    Hallo Leute!

    Brauche mal bitte eure Hilfe, weiß leider nicht mehr weiter!

    Seit ein paar Tagen geht meine Website www.ff-kirchbach.at nicht mehr.

    Fehlermeldung: Database Error: Unable to connect to the database:The MySQL adapter "mysql" is not available.

    Keine Ahnung warum. Ich hab nichts umgestellt und der Hoster hat mir gesagt, von ihm wurde auch nichts geändert.
    Scheint ein Problem mit der config.php zu sein, ich weiß aber leider nicht was ich machen soll? Muss ich im Joomla was updaten?

    Bitte um eure Hilfe, wäre sehr lieb!
    Vielen Dank & lg Fabian

    PS: Das einzige was mir aufgefallen ist, am Server ist seit ein paar Tage ein neuer Ordner mit dem Namen "fcgi" und darin eine Datei "php5-fcgi-starter", hat dies war mit dem Problem zum Tun?
    Geändert von golfracer (01.08.2018 um 16:56 Uhr)
    Meine Website: www.ff-kirchbach.at
    Wir gehn für Sie durchs Feuer

  2. #2
    Wohnt hier Avatar von Kubik-Rubik
    Registriert seit
    20.10.2005
    Ort
    Karlsruhe
    Beiträge
    3.150
    Bedankte sich
    253
    Erhielt 1.367 Danksagungen
    in 958 Beiträgen

    Standard

    Hi,

    öffne die configuration.php (liegt im Rootverzeichnis) und änderen den Anbindungstyp um auf mysqli. Sollte so aussehen:

    PHP-Code:
    public $dbtype 'mysqli'
    Klappt es dann?

    Gruß

  3. Erhielt Danksagungen von:


  4. #3
    War schon öfter hier
    Registriert seit
    25.12.2007
    Beiträge
    153
    Bedankte sich
    89
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard

    Hi! Danke für die Antwort! Habe es geändert! Jetzt ist die Fehlermeldung weg, die Seite wird aber nicht angezeigt! Alles weiß :/

    lg Fabian & Danke
    Meine Website: www.ff-kirchbach.at
    Wir gehn für Sie durchs Feuer

  5. #4
    Wohnt hier Avatar von Ellwood
    Registriert seit
    03.08.2011
    Ort
    Region Hannover
    Beiträge
    2.817
    Bedankte sich
    143
    Erhielt 680 Danksagungen
    in 657 Beiträgen

    Standard

    Wenn deine Seite noch mit 1.5 läuft, könnte sie gehackt sein.
    Oder itgendetwas ist nicht mehr kompatibel.
    Oder der Hoster hat vielleicht die PHP Version geändert.

    Musst du mal schauen.

    Aktuell ist 3.8.10!
    Gruß Elwood
    Bin auch hier: http://forum.joomla.de

  6. Erhielt Danksagungen von:


  7. #5
    War schon öfter hier
    Registriert seit
    25.12.2007
    Beiträge
    153
    Bedankte sich
    89
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard

    Hi Elwood! Danke für die Info! Gehackt schließ ich aus, da ich eine zweite Homepage mit 1.5 gemacht hab und diese auch nicht funktioniert! Ich hab jetzt dem Hoster mal geschrieben ob er die PHP Version geändert hat! Was ist wenn? Wie bekomm ich die Seite(n) wieder zum Laufen? Danke für die Hilfe & lg Fabian
    Meine Website: www.ff-kirchbach.at
    Wir gehn für Sie durchs Feuer

  8. #6
    Wohnt hier Avatar von Ellwood
    Registriert seit
    03.08.2011
    Ort
    Region Hannover
    Beiträge
    2.817
    Bedankte sich
    143
    Erhielt 680 Danksagungen
    in 657 Beiträgen

    Standard

    Du hast aktuell eine zweite Seite mit 1.5 erstellt? Hhmmm

    Also die PHP-Version solltest du in deinem Kundenaccount beim Hoster selbst einstellen/überprüfen können.
    Gruß Elwood
    Bin auch hier: http://forum.joomla.de

  9. Erhielt Danksagungen von:


  10. #7
    War schon öfter hier
    Registriert seit
    25.12.2007
    Beiträge
    153
    Bedankte sich
    89
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard

    Nicht aktuell, damals schon! Die beiden Seiten laufen seit 6 Jahren problemlos! Jetzt sind beide auf einmal offline! Bin beim Hoster unter phpMyAdmin eingestiegen, da steht dann eine rote Zeile:
    Die Erweiterung mcrypt fehlt. Bitte die PHP-Konfiguration überprüfen.

    Meinst du hat das was mit dem Problem zum Tun?

    Danke & lg Fabian
    Meine Website: www.ff-kirchbach.at
    Wir gehn für Sie durchs Feuer

  11. #8
    Wohnt hier Avatar von Ellwood
    Registriert seit
    03.08.2011
    Ort
    Region Hannover
    Beiträge
    2.817
    Bedankte sich
    143
    Erhielt 680 Danksagungen
    in 657 Beiträgen

    Standard

    PHP 5.3 ist empfohlen für 1.5.

    Ob es mit 5.6 noch läuft, weiß ich nicht.
    Musst du testen.

    Finde dazu heraus, welche PHP-Version eingestellt ist.

    Vermutlich hat dein Hoster 5.3 abgestellt.
    Gruß Elwood
    Bin auch hier: http://forum.joomla.de

  12. Erhielt Danksagungen von:


  13. #9
    War schon öfter hier
    Registriert seit
    25.12.2007
    Beiträge
    153
    Bedankte sich
    89
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard

    Hi Ellwood! Danke für die schnelle Antwort!

    Bildschirmfoto 2018-07-31 um 12.29.21.png

    Ist das die PHP-Version? 4.0.4? Dann müsst die Website eh laufen oder? Dann kann es daran nicht liegen?
    Lg Fabian & Danke
    Meine Website: www.ff-kirchbach.at
    Wir gehn für Sie durchs Feuer

  14. #10
    Gehört zum Inventar
    Registriert seit
    06.03.2013
    Ort
    /dev/random
    Beiträge
    6.210
    Bedankte sich
    135
    Erhielt 2.327 Danksagungen
    in 2.193 Beiträgen

    Standard

    Das ist nicht die PHP Version, sondern die Version von phpMyAdmin.
    Gruß FINWICK
    ↶ Danke Button nutzen, wenn es geholfen hat - Kein Suport via PN

  15. Erhielt Danksagungen von:


+ Antworten
Seite 1 von 2 1 2 LetzteLetzte

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein